Bug 180180 - [Update] net/hanstunnel: Makefile and pkg-message fixes
Summary: [Update] net/hanstunnel: Makefile and pkg-message fixes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Felippe de Meirelles Motta
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-01 21:10 UTC by Felippe de Meirelles Motta
Modified: 2013-09-02 16:50 UTC (History)
0 users

See Also:


Attachments
file.diff (2.42 KB, patch)
2013-07-01 21:10 UTC, Felippe de Meirelles Motta
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Felippe de Meirelles Motta freebsd_committer 2013-07-01 21:10:01 UTC
Fixes on net/hanstunnel

Makefile:
- Use correctly MASTER_SITES to SourceForge
- Use appropriate COMMENT to show software propose
- Move pkg-message to files/pkg-message.in using SUB_FILES
- Change to use INSTALL_PROGRAM instead

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-07-01 21:10:08 UTC
Maintainer of net/hanstunnel,

Please note that PR ports/180180 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/180180

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-07-01 21:10:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Felippe de Meirelles Motta freebsd_committer 2013-07-01 21:20:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lippe

I'll take it.
Comment 4 vsityz 2013-07-20 18:58:36 UTC
I approve the patch.

01.07.2013 23:10, Edwin Groothuis пиÑеÑ:
> Maintainer of net/hanstunnel,
>
> Please note that PR ports/180180 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>      http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/180180
>
Comment 5 dfilter service freebsd_committer 2013-09-02 16:40:12 UTC
Author: lippe
Date: Mon Sep  2 15:40:00 2013
New Revision: 326014
URL: http://svnweb.freebsd.org/changeset/ports/326014

Log:
  - Set correctly MASTER_SITES
  - Use appropriate COMMENT
  - Move pkg-message to files/pkg-message.in using SUB_FILES
  - Use INSTALL_PROGRAM
  
  PR:		ports/180180
  Submitted by:	lippe@
  Approved by:	Alexander Panyushkin <vsityz@gmail.com> (maintainer)

Added:
  head/net/hanstunnel/files/pkg-message.in   (contents, props changed)
Deleted:
  head/net/hanstunnel/pkg-message
Modified:
  head/net/hanstunnel/Makefile

Modified: head/net/hanstunnel/Makefile
==============================================================================
--- head/net/hanstunnel/Makefile	Mon Sep  2 15:39:17 2013	(r326013)
+++ head/net/hanstunnel/Makefile	Mon Sep  2 15:40:00 2013	(r326014)
@@ -4,13 +4,12 @@
 PORTNAME=	hans
 PORTVERSION=	0.4.1
 CATEGORIES=	net security
-MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
-MASTER_SITE_SUBDIR=	/hanstunnel/source/
+MASTER_SITES=	SF/hanstunnel/source
 
 MAINTAINER=	vsityz@gmail.com
 COMMENT=	Hans makes it possible to tunnel IPv4 through ICMP
 
-LICENSE_PERMS_GPL3=	yes
+LICENSE=	GPLv3
 
 OPTIONS_DEFINE=	CLANG
 
@@ -20,6 +19,8 @@ OPTIONS_DEFAULT=	CLANG
 
 PLIST_FILES=	bin/hans
 
+SUB_FILES=	pkg-message
+
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MCLANG}
@@ -38,7 +39,7 @@ CPP=gcpp
 .endif
 
 do-install:
-	@${INSTALL} -c -o ${BINOWN} -g ${BINGRP} -m ${BINMODE} ${WRKSRC}/hans ${LOCALBASE}/bin
+	@${INSTALL_PROGRAM} ${WRKSRC}/hans ${LOCALBASE}/bin
 
 post-install:	.SILENT
 	${ECHO_MSG}

Added: head/net/hanstunnel/files/pkg-message.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/hanstunnel/files/pkg-message.in	Mon Sep  2 15:40:00 2013	(r326014)
@@ -0,0 +1,23 @@
+------------------------------------------------------------
+
+Hans runs on Linux as a client and a server.
+It runs on FreeBSD client only.
+
+NOTE: that Hans can not receive echo requests on BSD systems.
+Therefore the server only works on Linux.
+
+------------------------------------------------------------
+
+### Running as a server ###
+
+% hans -s 10.1.2.0 -r -p password -u nobody
+
+### Running as a client ###
+
+% hans -c server_address -p password -u nobody
+
+### Help ###
+
+% hans
+
+------------------------------------------------------------
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Felippe de Meirelles Motta freebsd_committer 2013-09-02 16:40:57 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!